org.apache.lucene.analysis.miscellaneous

## Class ConditionalTokenFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.ConditionalTokenFilterFactory

- All Implemented Interfaces:
    ResourceLoaderAware
  Direct Known Subclasses:
    ProtectedTermFilterFactory

      public abstract class ConditionalTokenFilterFactory
      extends TokenFilterFactory
      implements ResourceLoaderAware

  Abstract parent class for analysis factories that create `ConditionalTokenFilter` instances
  Since:
    7.4.0
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "conditional"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConditionalTokenFilterFactory(Map<String,String> args)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)` Transform the specified input TokenStream
    `protected abstract ConditionalTokenFilter` | `create(TokenStream input, Function<TokenStream,TokenStream> inner)` Modify the incoming `TokenStream` with a `ConditionalTokenFilter`
    `protected void` | `doInform(ResourceLoader loader)` Initialises this component with the corresponding `ResourceLoader`
    `void` | `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
    `void` | `setInnerFilters(List<TokenFilterFactory> innerFilters)` Set the inner filter factories to produce the `TokenFilter`s that will be wrapped by the `ConditionalTokenFilter`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConditionalTokenFilterFactory

          protected ConditionalTokenFilterFactory(Map<String,String> args)

  - ### Method Detail

    - #### setInnerFilters

          public void setInnerFilters(List<TokenFilterFactory> innerFilters)

      Set the inner filter factories to produce the `TokenFilter`s that will be wrapped by the `ConditionalTokenFilter`

    - #### create

          public TokenStream create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

    - #### inform

          public final void inform(ResourceLoader loader)
                            throws IOException

      Description copied from interface: `ResourceLoaderAware`
      Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

    - #### doInform

          protected void doInform(ResourceLoader loader)
                           throws IOException

      Initialises this component with the corresponding `ResourceLoader`
      Throws:
        `IOException`

    - #### create

          protected abstract ConditionalTokenFilter create(TokenStream input,
                                                           Function<TokenStream,TokenStream> inner)

      Modify the incoming `TokenStream` with a `ConditionalTokenFilter`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.